org.apache.mina.codec.delimited

## Class ThriftDecoder<M extends org.apache.thrift.TBase<?,?>>

- java.lang.Object
- - org.apache.mina.codec.delimited.SizePrefixedDecoder<M>
  - - org.apache.mina.codec.delimited.ThriftDecoder<M>

All Implemented Interfaces:
  ProtocolDecoder<IoBuffer,M,SizePrefixedDecoder.MutableInt>

    public class ThriftDecoder<M extends org.apache.thrift.TBase<?,?>>
    extends SizePrefixedDecoder<M>

Author:
  Apache MINA Project

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`SizePrefixedDecoder.MutableInt`

### Constructor Summary

Constructors
Constructor and Description
`ThriftDecoder(Class<M> clazz)`

### Method Summary

Methods
`static <L extends org.apache.thrift.TBase<?,?>> ThriftDecoder<L>` `newInstance(Class<L> clazz)`

### Methods inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`createDecoderState, decode, finishDecode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThriftDecoder

    public ThriftDecoder(Class<M> clazz)
                  throws NoSuchMethodException

Throws:
  `NoSuchMethodException`

### Method Detail

#### newInstance

    public static <L extends org.apache.thrift.TBase<?,?>> ThriftDecoder<L> newInstance(Class<L> clazz)
                                                                             throws NoSuchMethodException

Throws:
  `NoSuchMethodException`